Partially create update script

This commit is contained in:
2026-01-25 00:00:26 -05:00
parent 8769fb0610
commit 3d3c5fd7a7

36
updatescripts.sh Normal file
View File

@@ -0,0 +1,36 @@
#!/bin/bash
NF="\e[0m"
FB="\e[1m"
CG="\e[38;5;40m"
CR="\e[38;5;9m"
CY="\033[38;5;226m"
USER=$(getent passwd 1000 | cut -d: -f1)
PC=$(uname -n | awk '{print $1}')
if [ "$UID" -ne 0 ]; then
echo -e "${CR}This script must be run as root.${NF}"
exit 1
fi
guardband() {
if [ $? -ne 0 ]; then
echo -e "${CY}Cleaning up temp directory...${NF}"
rm -rf /.SSH/automated/.temp/
sleep 2
echo -e "${CR}Script Exited with an Error.${NF}"
exit 1
fi
}
verifygit(){
SRV="https://git.franscorack.com"
echo -e "${CY}Verifying Server availability...${NF}"
if ! wget --spider "$SRV" 2>/dev/null; then
echo -e "${CR}Error: Cannot reach Server - ${FB}Are you connected on the Internet ? / Is the Server down ?${NF}"
echo -e "${CR}Scripts can only be updated if $SRV is reachable. Script Halted. ${NF}"
return 1
else
echo -e "${CG}Server available - ${FB}Proceeding...${NF}"
sleep 2
fi
}